# Method: edits.apks.upload

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.apks/upload#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.apks/upload#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.apks/upload#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.apks/upload#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.apks/upload#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.apks/upload#try-it)

Uploads an APK and adds to the current edit.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://androidpublisher.googleapis.com/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks`
- Metadata URI, for metadata-only requests:  
  `POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |

### Request body

The request body contains an instance of `ApksUploadRequestBody`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits.apks#Apk`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`